Author Topic: Bug: CWPpro version: 0.9.8.402 | PHP Version Switcher  (Read 118 times)

0 Members and 1 Guest are viewing this topic.

Offline
*
Bug: CWPpro version: 0.9.8.402 | PHP Version Switcher
« on: January 08, 2018, 03:21:31 PM »
Currently using PHP 5.6.31. Trying to switch / recompile to PHP 5.6.33. Process fails...

Getting this error in the web console:

Code: [Select]
Notice: Undefined index: info-file in /usr/local/cwpsrv/htdocs/resources/admin/modules/php_switch_v2.php on line 0
Also getting these errors in /var/log/php-rebuild.log

Code: [Select]
cat /var/log/php-rebuild.log
--2018-01-08 05:34:56--  http://dl1.centos-webpanel.com/files/php/selector/el7/php-dependencies.sh
Resolving dl1.centos-webpanel.com (dl1.centos-webpanel.com)... 37.187.72.216
Connecting to dl1.centos-webpanel.com (dl1.centos-webpanel.com)|37.187.72.216|:80... connected.
HTTP request sent, awaiting response... 200 OK
Length: 844 [application/x-sh]
Saving to: 'php-dependencies.sh'

     0K                                                       100% 70.1M=0s

2018-01-08 05:34:56 (70.1 MB/s) - 'php-dependencies.sh' saved [844/844]

Loaded plugins: fastestmirror
Loading mirror speeds from cached hostfile
 * base: centos.host-engine.com
 * epel: linux.mirrors.es.net
 * extras: mirror.sfo12.us.leaseweb.net
 * updates: mirrors.sonic.net
Package gcc-4.8.5-16.el7_4.1.x86_64 already installed and latest version
Package 1:make-3.82-23.el7.x86_64 already installed and latest version
Package gcc-c++-4.8.5-16.el7_4.1.x86_64 already installed and latest version
Package cpp-4.8.5-16.el7_4.1.x86_64 already installed and latest version
Package kernel-headers-3.10.0-693.11.6.el7.x86_64 already installed and latest version
Package libxml2-devel-2.9.1-6.el7_2.3.x86_64 already installed and latest version
Package autoconf-2.69-11.el7.noarch already installed and latest version
Package bison-3.0.4-1.el7.x86_64 already installed and latest version
Package git-1.8.3.1-12.el7_4.x86_64 already installed and latest version
No package checkinstall available.
Package 1:openssl-devel-1.0.2k-8.el7.x86_64 already installed and latest version
Package bzip2-1.0.6-13.el7.x86_64 already installed and latest version
Package bzip2-devel-1.0.6-13.el7.x86_64 already installed and latest version
Package libjpeg-turbo-devel-1.2.90-5.el7.x86_64 already installed and latest version
Package 2:libpng-1.5.13-7.el7_2.x86_64 already installed and latest version
Package 2:libpng-devel-1.5.13-7.el7_2.x86_64 already installed and latest version
Package freetype-2.4.11-15.el7.x86_64 already installed and latest version
Package freetype-devel-2.4.11-15.el7.x86_64 already installed and latest version
Package openldap-devel-2.4.44-5.el7.x86_64 already installed and latest version
Package postgresql-devel-9.2.23-3.el7_4.x86_64 already installed and latest version
Package 12:aspell-devel-0.60.6.1-9.el7.x86_64 already installed and latest version
Package 1:net-snmp-devel-5.7.2-28.el7.x86_64 already installed and latest version
Package libxslt-devel-1.1.28-5.el7.x86_64 already installed and latest version
Package uw-imap-devel-2007f-16.el7.x86_64 already installed and latest version
Package libicu-devel-50.1.2-15.el7.x86_64 already installed and latest version
Package 1:gmp-devel-6.0.0-15.el7.x86_64 already installed and latest version
Package libcurl-devel-7.29.0-42.el7_4.1.x86_64 already installed and latest version
Package libmcrypt-devel-2.5.8-13.el7.x86_64 already installed and latest version
Package pcre-devel-8.32-17.el7.x86_64 already installed and latest version
Package sqlite-devel-3.7.17-8.el7.x86_64 already installed and latest version
Package libdb4-devel-4.8.30-13.el7.x86_64 already installed and latest version
Package 1:enchant-devel-1.6.0-8.el7.x86_64 already installed and latest version
Package libXpm-devel-3.5.12-1.el7.x86_64 already installed and latest version
Package MariaDB-devel-10.1.30-1.el7.centos.x86_64 already installed and latest version
Package readline-devel-6.2-10.el7.x86_64 already installed and latest version
Package libedit-devel-3.0-12.20121213cvs.el7.x86_64 already installed and latest version
Package recode-devel-3.6-38.el7.x86_64 already installed and latest version
Package libtidy-devel-5.4.0-1.el7.x86_64 already installed and latest version
Package libtool-ltdl-devel-2.4.2-22.el7_3.x86_64 already installed and latest version
Package flex-2.5.37-3.el7.x86_64 already installed and latest version
Package libjpeg-turbo-devel-1.2.90-5.el7.x86_64 already installed and latest version
Package libcurl-devel-7.29.0-42.el7_4.1.x86_64 already installed and latest version
Package krb5-devel-1.15.1-8.el7.x86_64 already installed and latest version
Package krb5-libs-1.15.1-8.el7.x86_64 already installed and latest version
Package expat-devel-2.1.0-10.el7_3.x86_64 already installed and latest version
Nothing to do

Install Completed
###############################

Loaded plugins: fastestmirror
Loading mirror speeds from cached hostfile
 * base: centos.host-engine.com
 * epel: linux.mirrors.es.net
 * extras: mirror.sfo12.us.leaseweb.net
 * updates: mirrors.sonic.net
Package libjpeg-turbo-devel-1.2.90-5.el7.x86_64 already installed and latest version
Package 2:libpng-devel-1.5.13-7.el7_2.x86_64 already installed and latest version
Package freetype-devel-2.4.11-15.el7.x86_64 already installed and latest version
Package libXpm-devel-3.5.12-1.el7.x86_64 already installed and latest version
Package 1:openssl-devel-1.0.2k-8.el7.x86_64 already installed and latest version
Package 12:aspell-devel-0.60.6.1-9.el7.x86_64 already installed and latest version
Package libtidy-devel-5.4.0-1.el7.x86_64 already installed and latest version
Package icu-50.1.2-15.el7.x86_64 already installed and latest version
Package libicu-50.1.2-15.el7.x86_64 already installed and latest version
Package libicu-devel-50.1.2-15.el7.x86_64 already installed and latest version
Nothing to do
tar: This does not look like a tar archive

gzip: stdin: not in gzip format
tar: Child returned status 1
tar: Error is not recoverable: exiting now
chown: cannot access 'php-5.6.33/': No such file or directory
/usr/local/src/php-rebuild.sh: line 43: cd: php-5.6.33/: No such file or directory
/usr/local/src/php-rebuild.sh: line 73: ./configure: No such file or directory
Configure DONE!
####################
make: *** No targets specified and no makefile found.  Stop.
Make DONE!
####################
make: *** No rule to make target `install'.  Stop.
Make Install DONE!
####################
cp: cannot stat 'php.ini-production': No such file or directory
tar: ioncube_loaders_lin_*.tar.gz: Cannot open: No such file or directory
tar: Error is not recoverable: exiting now
mv: cannot stat 'ioncube/': No such file or directory
PHP Rebuild Completed
#########################

623e3e22268c6eb484abd215c20fff26

Finally, the apache error_log is filling with these errors:

Code: [Select]
[Mon Jan 08 07:26:35.347035 2018] [:error] [pid 20136:tid 140603195057920] [client 64.62.252.163:60830] Failed loading /usr/local/ioncube/ioncube_loader_lin_5.3.so:  /usr/local/ioncube/ioncube_loader_lin_5.3.so: cannot open shared object file: No such file or directory
« Last Edit: January 08, 2018, 03:30:12 PM by Comenius »

Offline
*
Re: Bug: CWPpro version: 0.9.8.402 | PHP Version Switcher
« Reply #1 on: January 09, 2018, 04:38:09 PM »
Error still exists in CWPpro version: 0.9.8.403.

PHP 5.6.32 compiles just fine. PHP 5.6.33 is the problem. It looks like the command to download it is broken as the log file complains about the source archive not being found and then exits.

Code: [Select]
Package libicu-devel-50.1.2-15.el7.x86_64 already installed and latest version
Nothing to do
tar: This does not look like a tar archive

gzip: stdin: not in gzip format
tar: Child returned status 1
tar: Error is not recoverable: exiting now
chown: cannot access 'php-5.6.33/': No such file or directory
/usr/local/src/php-rebuild.sh: line 43: cd: php-5.6.33/: No such file or directory
/usr/local/src/php-rebuild.sh: line 73: ./configure: No such file or directory
Configure DONE!
####################
make: *** No targets specified and no makefile found.  Stop.
Make DONE!
####################
make: *** No rule to make target `install'.  Stop.
Make Install DONE!
####################
cp: cannot stat 'php.ini-production': No such file or directory
tar: ioncube_loaders_lin_*.tar.gz: Cannot open: No such file or directory
tar: Error is not recoverable: exiting now
mv: cannot stat 'ioncube/': No such file or directory
PHP Rebuild Completed
#########################

Offline
*
Re: Bug: CWPpro version: 0.9.8.402 | PHP Version Switcher
« Reply #2 on: January 15, 2018, 07:13:50 PM »
Looks like this has been fixed as of version 0.9.8.413. Thank you!